Bug 1010849 - [fork][origin_ui_88]Can not create a medium app in medium gear size domain for a free user via web console
[fork][origin_ui_88]Can not create a medium app in medium gear size domain f...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 04:00 EDT by Wei Sun
Modified: 2015-05-14 21:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:30:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
createmedium (110.35 KB, image/png)
2013-09-23 04:01 EDT, Wei Sun
no flags Details

  None (edit)
Description Wei Sun 2013-09-23 04:00:29 EDT
Description of problem:
Create  a domain with a silver user,and make sure this domain have medium gear size ,and add a free user as a member with edit role.Login website with  that free user,and try to create a medium app in medium gear size  domain,but could not create,could not change gear size to medium in  create app page.

Please refer to attachment.

Version-Release number of selected component (if applicable):
fork_ami_origin_ui_72_membership_844 

How reproducible:
Always

Steps to Reproduce:
1.Login website with a silver
2.Create a domain and make sure have medium gear size in the domain
3.Add a free user as a member with edit role
4.Login website with the free user
5.Create a medium app in medium gear size domain

Actual results:
2.Domain wsunfork844 (owned by wsun+member@redhat.com)
----------------------------------------------------
  Created:            2:09 PM
  Allowed Gear Sizes: small, medium
  Members:            wsun+member2@redhat.com (edit)
  
5.Could not create medium app in medium gear size domain

Expected results:
Could create medium app in medium gear size domain

Additional info:
Could create medium app in medium gear size domain via CLI
Comment 1 Wei Sun 2013-09-23 04:01:18 EDT
Created attachment 801536 [details]
createmedium
Comment 2 Jordan Liggitt 2013-09-24 16:02:20 EDT
Fixed in https://github.com/openshift/li/pull/1903
Comment 3 Wei Sun 2013-09-25 23:43:16 EDT
Verified on fork_ami_origin_ui_72_membership_863
Could create medium app with free account in medium size gear domain.
Comment 4 openshift-github-bot 2013-09-26 20:33:28 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/90d01e4541455af1b2479cc5e212c5fe3b43cfd1
Fix bug 1010849 - cancel button on domain create page returns to settings

Note You need to log in before you can comment on or make changes to this bug.